module IdCardPrinterService
    class SampleCardsGenerator

        def initialize(employer)
            @employer = employer
        end

        def call
            IdCard::PrintData.where(employer_name: @employer.id_card_setup.print_name).destroy_all
            IdCardPrinterService::SampleDataFormatter.new(@employer).call

            IdCardPrinterService::SamplePdfProcessor.new(@employer).call
        end
    end
end
